continuation_option

see the `continuation_option` page for the full documentation More...

Inheritance diagram for continuation_option:

## Public Member Functions

| continuation_option (const adapt_option &aopt=adapt_option())
void | check () const
Public Member Functions inherited from adapt_option
| adapt_option ()

## Public Attributes

Float | ini_direction
Float | kappa
Float | tol
size_t | max_iter
size_t | newton_max_iter
Float | min_delta_parameter
Float | max_delta_parameter
Float | ini_delta_parameter
Float | theta_decr
Float | theta_incr
Float | theta_variation
size_t | min_delta_parameter_successive_count_max
Float | tol_cos_angle
bool | do_prediction
bool | do_check_going_back
size_t | n_adapt
Public Attributes inherited from adapt_option
std::string | generator
bool | isotropic
Float | err
Float | errg
Float | hcoef
Float | hmin
Float | hmax
Float | ratio
Float | cutoff
size_type | n_vertices_max
size_type | n_smooth_metric
bool | splitpbedge
Float | thetaquad
Float | anisomax
bool | clean
std::string | additional
bool | double_precision
Float | anglecorner

## Additional Inherited Members

Public Types inherited from adapt_option
typedef std::vector< int >::size_type | size_type

## Detailed Description

see the `continuation_option` page for the full documentation

Examples
  combustion_continuation.cc, and combustion_keller.cc.

Definition at line 77 of file continuation_option.h.

## Constructor & Destructor Documentation

## continuation_option()

continuation_option | ( | const adapt_option & | aopt = `adapt_option()` | ) |

Definition at line 103 of file continuation_option.h.

## Member Function Documentation

## check()

void check | ( |  | ) | const

Definition at line 124 of file continuation_option.h.

## Member Data Documentation

## ini_direction

Float ini_direction

Definition at line 78 of file continuation_option.h.

## kappa

Float kappa

Definition at line 79 of file continuation_option.h.

## tol

Float tol

Examples
  combustion_continuation.cc, and combustion_keller.cc.

Definition at line 80 of file continuation_option.h.

## max_iter

size_t max_iter

Definition at line 81 of file continuation_option.h.

## newton_max_iter

size_t newton_max_iter

Definition at line 82 of file continuation_option.h.

## min_delta_parameter

Float min_delta_parameter

Examples
  combustion_continuation.cc, and combustion_keller.cc.

Definition at line 83 of file continuation_option.h.

## max_delta_parameter

Float max_delta_parameter

Examples
  combustion_continuation.cc, and combustion_keller.cc.

Definition at line 84 of file continuation_option.h.

## ini_delta_parameter

Float ini_delta_parameter

Examples
  combustion_continuation.cc, and combustion_keller.cc.

Definition at line 85 of file continuation_option.h.

## theta_decr

Float theta_decr

Definition at line 86 of file continuation_option.h.

## theta_incr

Float theta_incr

Definition at line 87 of file continuation_option.h.

## theta_variation

Float theta_variation

Definition at line 88 of file continuation_option.h.

## min_delta_parameter_successive_count_max

size_t min_delta_parameter_successive_count_max

Definition at line 89 of file continuation_option.h.

## tol_cos_angle

Float tol_cos_angle

Definition at line 90 of file continuation_option.h.

## do_prediction

bool do_prediction

Definition at line 91 of file continuation_option.h.

## do_check_going_back

bool do_check_going_back

Definition at line 92 of file continuation_option.h.

## n_adapt

size_t n_adapt

Definition at line 93 of file continuation_option.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/continuation_option.h